<!--주문페이지-->
<!--메뉴얼 '인증페이지 작성' 인증요청/인증응답 파라미터 포함.-->

<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<!DOCTYPE html>
<html style="height: 100%;">
<head>
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="content-type" content="text/html; charset=euc-kr">
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, target-densitydpi=medium-dpi" />
<title>EasyPay 8.0 webpay mobile</title>

<!-- Test -->
<script language="javascript" src="http://testsp.easypay.co.kr/webpay/EasypayCard_Web.js"></script>
<!-- Real --> 
<!-- script language="javascript" src="https://sp.easypay.co.kr/webpay/EasypayCard_Web.js"></script-->

<script type="text/javascript">
    /* 파라미터 초기값 Setting */
    function f_init()
    {           
        var frm_pay = document.frm_pay;

        /*--공통--*/        
        frm_pay.sp_mall_id.value        = "<%=request.getParameter("sp_mall_id")        %>";        //가맹점 ID
        frm_pay.sp_mall_nm.value        = "<%=request.getParameter("sp_mall_nm")        %>";        //가맹점명
        frm_pay.sp_order_no.value       = "<%=request.getParameter("sp_order_no")       %>";        //가맹점 주문번호
        frm_pay.sp_pay_type.value       = "<%=request.getParameter("sp_pay_type")       %>";        //결제수단(select)
        frm_pay.sp_cert_type.value      = "<%=request.getParameter("sp_cert_type")      %>";        //[선택]인증타입
        frm_pay.sp_currency.value       = "<%=request.getParameter("sp_currency")       %>";        //통화코드 : 00-원
        frm_pay.sp_product_nm.value     = "<%=request.getParameter("sp_product_nm")     %>";        //상품명
        frm_pay.sp_product_amt.value    = "<%=request.getParameter("sp_product_amt")    %>";        //상품금액
        frm_pay.sp_return_url.value     = "<%=request.getParameter("sp_return_url")     %>";        //가맹점 return_url(윈도우 타입 선택 시, 분기)
        frm_pay.sp_lang_flag.value      = "<%=request.getParameter("sp_lang_flag")      %>";        //언어: KOR / ENG
        frm_pay.sp_charset.value        = "<%=request.getParameter("sp_charset")        %>";        //가맹점 Charset: EUC-KR(default) / UTF-8
        frm_pay.sp_user_id.value        = "<%=request.getParameter("sp_user_id")        %>";        //가맹점 고객 ID
        frm_pay.sp_memb_user_no.value   = "<%=request.getParameter("sp_memb_user_no")   %>";        //가맹점 고객 일련번호
        frm_pay.sp_user_nm.value        = "<%=request.getParameter("sp_user_nm")        %>";        //가맹점 고객명
        frm_pay.sp_user_mail.value      = "<%=request.getParameter("sp_user_mail")      %>";        //가맹점 고객 이메일
        frm_pay.sp_user_phone1.value    = "<%=request.getParameter("sp_user_phone1")    %>";        //가맹점 고객 번호1
        frm_pay.sp_user_phone2.value    = "<%=request.getParameter("sp_user_phone2")    %>";        //가맹점 고객 번호2
        frm_pay.sp_user_addr.value      = "<%=request.getParameter("sp_user_addr")      %>";        //가맹점 고객 주소
        frm_pay.sp_product_type.value   = "<%=request.getParameter("sp_product_type")   %>";        //상품정보구분 : 0-실물, 1-서비스
        frm_pay.sp_product_expr.value   = "<%=request.getParameter("sp_product_expr")   %>";        //서비스기간 : YYYYMMDD
        frm_pay.sp_app_scheme.value     = "";                                           //가맹점 app scheme : 모바일app으로 서비스시 필수
                                        
        /*--신용카드--*/                    
        frm_pay.sp_usedcard_code.value  = "<%=request.getParameter("sp_usedcard_code")  %>";        //사용가능한 카드 LIST
        frm_pay.sp_quota.value          = "<%=request.getParameter("sp_quota")          %>";        //할부개월
        frm_pay.sp_os_cert_flag.value   = "<%=request.getParameter("sp_os_cert_flag")   %>";        //해외안심클릭 사용여부
        frm_pay.sp_noinst_flag.value    = "<%=request.getParameter("sp_noinst_flag")    %>";        //무이자 여부(Y/N) (select)
        frm_pay.sp_noinst_term.value    = "<%=request.getParameter("sp_noinst_term")    %>";        //무이자기간
        frm_pay.sp_set_point_card_yn.value    = "<%=request.getParameter("sp_set_point_card_yn")    %>";        //카드사포인트 사용여부(select)
        frm_pay.sp_point_card.value     = "<%=request.getParameter("sp_point_card")     %>";                //포인트카드 LIST
        frm_pay.sp_join_cd.value        = "<%=request.getParameter("sp_join_cd")        %>";        //조인코드(select)
        frm_pay.sp_kmotion_useyn.value     = "<%=request.getParameter("sp_kmotion_useyn")   %>";    //국민 앱카드 사용(select)
                                                                                                                   
        /*--가상계좌--*/                        
        frm_pay.sp_vacct_bank.value     = "<%=request.getParameter("sp_vacct_bank")     %>";        //가상계좌 사용가능한 은행 LIST
        frm_pay.sp_vacct_end_date.value = "<%=request.getParameter("sp_vacct_end_date") %>";        //입금 만료 날짜
        frm_pay.sp_vacct_end_time.value = "<%=request.getParameter("sp_vacct_end_time") %>";        //입금 만료 시간

        <!--선불카드-->
        frm_pay.sp_prepaid_cp.value     = "<%=request.getParameter("sp_prepaid_cp")     %>";        <!--[선택]선불카드 CP -->

        f_mobile_cert();
    }

    function f_mobile_cert() {
        easypay_card_webpay(frm_pay,"/oqpo-view/mobile/app/easypay/oqpo/mobile_order_req.jsp","_self","0","0","submit",30);
    }

    /* 인증창 호출, 인증 요청 */
    function f_cert() 
    {
        var frm_pay = document.frm_pay;
        
        /*  주문정보 확인 */
        if( !frm_pay.sp_order_no.value ) 
        {
            alert("가맹점주문번호를 입력하세요!!");
            frm_pay.sp_order_no.focus();
            return;
        }

        if( !frm_pay.sp_product_amt.value ) 
        {
            alert("상품금액을 입력하세요!!");
            frm_pay.sp_product_amt.focus();
            return;
        }
        /* UTF-8 사용가맹점의 경우 EP_charset 값 셋팅 필수 */
        if( frm_pay.sp_charset.value == "UTF-8" )
        {
            // 한글이 들어가는 값은 모두 encoding 필수.
            frm_pay.sp_mall_nm.value      = encodeURIComponent( frm_pay.sp_mall_nm.value );
            frm_pay.sp_product_nm.value   = encodeURIComponent( frm_pay.sp_product_nm.value );
            frm_pay.sp_user_nm.value      = encodeURIComponent( frm_pay.sp_user_nm.value );
            frm_pay.sp_user_addr.value    = encodeURIComponent( frm_pay.sp_user_addr.value );
        }

                   
            frm_pay.sp_return_url.value = "http://10.100.1.250:8080/easypay/mobile/mobile/order_res_submit.jsp";                                  
            easypay_card_webpay(frm_pay,"./order_req.jsp","_self","0","0","submit",30);
  
        
    }
    
   /* 승인 요청 */
    function f_submit() 
    {
        var frm_pay = document.frm_pay;
        
        // 정상("0000") 일 때 승인요청페이지로 이동.
        if( frm_pay.sp_res_cd.value == "0000" )
        {
            if( frm_pay.sp_charset.value == "UTF-8" )
            {
                // 인증요청 시 인코딩 한 값은 승인요청 시 디코딩 처리해야함.
                frm_pay.sp_mall_nm.value      = decodeURIComponent( frm_pay.sp_mall_nm.value );
                frm_pay.sp_product_nm.value   = decodeURIComponent( frm_pay.sp_product_nm.value );
                frm_pay.sp_user_nm.value      = decodeURIComponent( frm_pay.sp_user_nm.value );
                frm_pay.sp_user_addr.value    = decodeURIComponent( frm_pay.sp_user_addr.value );
            }
            
            frm_pay.target = "_self";
            frm_pay.action = "../easypay_request.jsp";
            frm_pay.submit();
        }
    }
   
</script>
</head>
<body id="container_skyblue" onload="f_init();">
<form name="frm_pay" method="post" >

<input type="hidden" id="poOrdNo" name="poOrdNo" value="" />
<input type="hidden" id="payTpCd" name="payTpCd" value="" />
<input type="hidden" id="sttlMgntUnqNo" name="sttlMgntUnqNo" value="" />
<input type="hidden" id="brandId" name="brandId" value="" />
<input type="hidden" id="storeId" name="storeId" value="" />

<input type="hidden" id="kiccActionWebUrl" 		name="kiccActionWebUrl"			value="">
<input type="hidden" id="kiccActionMobileUrl" 	name="kiccActionMobileUrl"		value="">

<!-- [START] 인증요청 필드 -->     <!--  <table>내에도 일부 파라미터 존재합니다.-->
      
<!--공통-->
<input type="hidden" id="sp_mall_nm"           name="sp_mall_nm"           value="" />               <!--[선택]가맹점명 -->
<input type="hidden" id="sp_order_no"          name="sp_order_no"          value="" />               <!--[필수]가맹점 주문번호(인증응답) -->
<input type="hidden" id="sp_currency"          name="sp_currency"          value="" />               <!--[필수]통화코드(수정불가) -->
<input type="hidden" id="sp_return_url"        name="sp_return_url"        value="" />               <!--[필수]가맹점 return URL -->
<input type="hidden" id="sp_lang_flag"         name="sp_lang_flag"         value="" />               <!--[선택]언어 -->
<input type="hidden" id="sp_charset"           name="sp_charset"           value="" />               <!--[선택]가맹점 charset -->
<input type="hidden" id="sp_user_id"           name="sp_user_id"           value="" />               <!--[선택]가맹점 고객ID -->
<input type="hidden" id="sp_memb_user_no"      name="sp_memb_user_no"      value="" />               <!--[선택]가맹점 고객일련번호 -->
<input type="hidden" id="sp_user_nm"           name="sp_user_nm"           value="" />               <!--[선택]가맹점 고객명 -->
<input type="hidden" id="sp_user_mail"         name="sp_user_mail"         value="" />               <!--[선택]가맹점 고객 E-mail -->
<input type="hidden" id="sp_user_phone1"       name="sp_user_phone1"       value="" />               <!--[선택]가맹점 고객 연락처1 -->
<input type="hidden" id="sp_user_phone2"       name="sp_user_phone2"       value="" />               <!--[선택]가맹점 고객 연락처2 -->
<input type="hidden" id="sp_user_addr"         name="sp_user_addr"         value="" />               <!--[선택]가맹점 고객 주소 -->
<input type="hidden" id="sp_user_define1"      name="sp_user_define1"      value="" />               <!--[선택]가맹점 필드1 -->
<input type="hidden" id="sp_user_define2"      name="sp_user_define2"      value="" />               <!--[선택]가맹점 필드2 -->
<input type="hidden" id="sp_user_define3"      name="sp_user_define3"      value="" />               <!--[선택]가맹점 필드3 -->
<input type="hidden" id="sp_user_define4"      name="sp_user_define4"      value="" />               <!--[선택]가맹점 필드4 -->
<input type="hidden" id="sp_user_define5"      name="sp_user_define5"      value="" />               <!--[선택]가맹점 필드5 -->
<input type="hidden" id="sp_user_define6"      name="sp_user_define6"      value="" />               <!--[선택]가맹점 필드6 -->
<input type="hidden" id="sp_product_type"      name="sp_product_type"      value="" />               <!--[선택]상품정보구분 -->
<input type="hidden" id="sp_product_expr"      name="sp_product_expr"      value="" />               <!--[선택]서비스 기간 -->
<input type="hidden" id="sp_app_scheme"        name="sp_app_scheme"        value="" />               <!--[선택]가맹점 APP scheme -->

<input type="hidden" id="sp_mall_id"		   name="sp_mall_id"		   value="" />               <!--[필수]브랜드그룹 ID -->
<input type="hidden" id="sp_pay_type"      	   name="sp_pay_type"   	   value="" />               <!--[필수]결제수단 -->
<input type="hidden" id="sp_cert_type"	       name="sp_cert_type"   	   value="" />               <!--[선택]인증타입 -->
<input type="hidden" id="sp_product_nm"    	   name="sp_product_nm"   	   value="" />               <!--[필수]상품명 -->
<input type="hidden" id="sp_product_amt"   	   name="sp_product_amt"       value="" />               <!--[필수]상품금액 -->
<input type="hidden" id="sp_window_type"       name="sp_window_type"       value="" />               <!--[선택]윈도우타입 -->
<input type="hidden" id="sp_disp_cash_yn"      name="sp_disp_cash_yn"      value="" />               <!--[선택]현금영수증 화면표시여부 -->
<input type="hidden" id="sp_kmotion_useyn"     name="sp_kmotion_useyn"     value="" />               <!--[선택]국민앱카드 사용유무 -->

    <!--신용카드-->
<input type="hidden" id="sp_usedcard_code"     name="sp_usedcard_code"     value="" />               <!--[선택]사용가능카드 LIST -->
<input type="hidden" id="sp_quota"             name="sp_quota"             value="" />               <!--[선택]할부개월 -->
<input type="hidden" id="sp_os_cert_flag"      name="sp_os_cert_flag"      value="" />               <!--[선택]해외안심클릭 사용여부-->
<input type="hidden" id="sp_noinst_flag"       name="sp_noinst_flag"       value="" />               <!--[선택]무이자 여부(Y/N)-->
<input type="hidden" id="sp_noinst_term"       name="sp_noinst_term"       value="" />               <!--[선택]무이자 기간 -->
<input type="hidden" id="sp_set_point_card_yn" name="sp_set_point_card_yn" value="" />               <!--[선택]카드사포인트 사용여부(Y/N)-->
<input type="hidden" id="sp_point_card"        name="sp_point_card"        value="" />               <!--[선택]포인트카드 LIST(카드코드-더할 할부개월) -->
<input type="hidden" id="sp_join_cd"           name="sp_join_cd"           value="" />               <!--[선택]조인코드 -->
                                                                                                          
<!--가상계좌-->                                                                                      
<input type="hidden" id="sp_vacct_bank"       name="sp_vacct_bank"         value="" />               <!--[선택]가상계좌 사용가능한 은행 LIST -->
<input type="hidden" id="sp_vacct_end_date"   name="sp_vacct_end_date"     value="" />               <!--[선택]입금 만료 날짜 -->
<input type="hidden" id="sp_vacct_end_time"   name="sp_vacct_end_time"     value="" />               <!--[선택]입금 만료 시간 -->
                                                                                                     
<!--선불카드-->                                                                                      
<input type="hidden" id="sp_prepaid_cp"       name="sp_prepaid_cp"         value="" />               <!--[선택]선불카드 CP -->

<!-- [END] 인증요청 필드  --> 



<!-- [START] 인증응답 필드 -->     

<!--공통-->
<input type="hidden" id="sp_res_cd"              name="sp_res_cd"                value="" />         <!-- [필수]응답코드        --> 
<input type="hidden" id="sp_res_msg"             name="sp_res_msg"               value="" />         <!-- [필수]응답메시지      --> 
<input type="hidden" id="sp_tr_cd"               name="sp_tr_cd"                 value="" />         <!-- [필수]결제창 요청구분 --> 
<input type="hidden" id="sp_ret_pay_type"        name="sp_ret_pay_type"          value="" />         <!-- [필수]결제수단        --> 
<input type="hidden" id="sp_trace_no"            name="sp_trace_no"              value="" />         <!-- [선택]추적번호        --> 
<!-- 가맹점 주문번호 인증요청 필드에 존재.                                                                [필수]가맹점 주문번호 --> 
<input type="hidden" id="sp_sessionkey"          name="sp_sessionkey"            value="" />         <!-- [필수]세션키          --> 
<input type="hidden" id="sp_encrypt_data"        name="sp_encrypt_data"          value="" />         <!-- [필수]암호화전문      --> 
<!-- 가맹점 ID  인증요청 필드에 존재.                                                                     [필수]가맹점 ID       -->
<input type="hidden" id="sp_mobilereserved1"     name="sp_mobilereserved1"       value="" />         <!-- [선택]여유필드        --> 
<input type="hidden" id="sp_mobilereserved2"     name="sp_mobilereserved2"       value="" />         <!-- [선택]여유필드        --> 
<input type="hidden" id="sp_reserved1"           name="sp_reserved1"             value="" />         <!-- [선택]여유필드        --> 
<input type="hidden" id="sp_reserved2"           name="sp_reserved2"             value="" />         <!-- [선택]여유필드        --> 
<input type="hidden" id="sp_reserved3"           name="sp_reserved3"             value="" />         <!-- [선택]여유필드        --> 
<input type="hidden" id="sp_reserved4"           name="sp_reserved4"             value="" />         <!-- [선택]여유필드        --> 

<!--신용카드-->                                                                                                                        
<input type="hidden" id="sp_card_code"            name="sp_card_code"            value="" />         <!-- [필수]카드코드               -->
<input type="hidden" id="sp_eci_code"             name="sp_eci_code"             value="" />         <!-- [선택]ECI코드(MPI인 경우)    -->
<input type="hidden" id="sp_card_req_type"        name="sp_card_req_type"        value="" />         <!-- [필수]거래구분               -->
<input type="hidden" id="sp_save_useyn"           name="sp_save_useyn"           value="" />         <!-- [선택]카드사 세이브 여부     -->
<input type="hidden" id="sp_card_prefix"          name="sp_card_prefix"          value="" />         <!-- [선택]신용카드 Prefix        -->
<input type="hidden" id="sp_card_no_7"            name="sp_card_no_7"            value="" />         <!-- [선택]신용카드번호 앞7자리   -->

<!--간편결제-->
<input type="hidden" id="sp_spay_cp"              name="sp_spay_cp"              value="" />          <!-- [선택]간편결제 CP코드 -->

   
<!-- [END] 인증응답 필드  --> 

</form>
</body>
</html>